com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum Schedule.RecurrenceType

- java.lang.Object
- - java.lang.Enum<Schedule.RecurrenceType>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.Schedule.RecurrenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Schedule.RecurrenceType>
  Enclosing class:
    Schedule

      public static enum Schedule.RecurrenceType
      extends java.lang.Enum<Schedule.RecurrenceType>

  Recurrence type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAILY` The task runs daily.
    `HOURLY` The task runs at the same time every hour.
    `MONTHLY` The task runs monthly.
    `NONE` The task runs once but does not recur.
    `WEEKLY` The task runs weekly.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Schedule.RecurrenceType` | `forValue(int value)`
    `int` | `getValue()`
    `static Schedule.RecurrenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Schedule.RecurrenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Schedule.RecurrenceType NONE

      The task runs once but does not recur.

    - #### HOURLY

          public static final Schedule.RecurrenceType HOURLY

      The task runs at the same time every hour. The `startTime` parameter controls the time.

    - #### DAILY

          public static final Schedule.RecurrenceType DAILY

      The task runs daily. See `DailyScheduleParameters` for details.

    - #### WEEKLY

          public static final Schedule.RecurrenceType WEEKLY

      The task runs weekly. See `WeeklyScheduleParameters` for details.

    - #### MONTHLY

          public static final Schedule.RecurrenceType MONTHLY

      The task runs monthly. See `MonthlyScheduleParameters` for details.

  - ### Method Detail

    - #### values

          public static Schedule.RecurrenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Schedule.RecurrenceType c : Schedule.RecurrenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Schedule.RecurrenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static Schedule.RecurrenceType forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.